# Created by pyp2rpm-3.3.5
%global pypi_name msal-extensions

Name:           python-%{pypi_name}
Version:        1.0.0
Release:        %mkrel 1
Summary:        Microsoft Authentication Library extensions (MSAL EX) provides a persistence API that can save your data on disk, encrypted on Windows, macOS and Linux
Group:          Development/Python
License:        MIT
URL:            None
Source0:        https://files.pythonhosted.org/packages/source/m/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3dist(setuptools-scm)
BuildRequires:  python3dist(setuptools-scm[toml])
BuildRequires:  python3dist(wheel)
BuildRequires:  python3dist(pip)

BuildRequires:  python3-devel
BuildRequires:  python3dist(msal)
BuildRequires:  python3dist(pathlib2)
BuildRequires:  python3dist(portalocker)
BuildRequires:  python3dist(setuptools)

%description
The Microsoft Authentication Extensions for Python offers secure mechanisms for
client applications to perform cross-platform token cache serialization and
persistence. It gives additional support to the Microsoft Authentication
Library for Python (MSAL).

MSAL Python supports an in-memory cache by default and provides the
SerializableTokenCache to perform cache serialization. You can read more about
this in the MSAL Python documentation. Developers are required to implement
their own cache persistance across multiple platforms and Microsoft 
Authentication Extensions makes this simpler.

The supported platforms are Windows, Mac and Linux.
Linux - LibSecret is used for encryption.


%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(msal)
Requires:       python3dist(pathlib2)
Requires:       python3dist(portalocker)
%description -n python3-%{pypi_name}
The Microsoft Authentication Extensions for Python offers secure mechanisms for
client applications to perform cross-platform token cache serialization and
persistence. It gives additional support to the Microsoft Authentication
Library for Python (MSAL).

MSAL Python supports an in-memory cache by default and provides the
SerializableTokenCache to perform cache serialization. You can read more about
this in the MSAL Python documentation. Developers are required to implement
their own cache persistance across multiple platforms and Microsoft 
Authentication Extensions makes this simpler.

The supported platforms are Windows, Mac and Linux.
Linux - LibSecret is used for encryption.


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%pyproject_wheel

%install
%pyproject_install

# Test doesn't pass, it suppose that IOS parts are present

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md
%{python3_sitelib}/msal_extensions
%{python3_sitelib}/msal_extensions-%{version}.dist-info



%changelog
* Thu Jul 14 2022 papoteur <papoteur> 1.0.0-1.mga9
+ Revision: 1868807
- imported package python-msal-extensions

